{ CURRENCY
  An exchange problem in which a starting capital in US dollars
  is converted into other currencies and next back into US
  dollars, such that the gain is maximal. The starting capital
  is one million US dollars.

}

{ nodes are numbered :
   1 : US dollars
   2 : British Pounds
   3 : DM German Marks
   4 : Japanese Yens
   5 : Dutch Guilders }

{ xij = amount of currency i exchanged into currency j (measured in
        units of tenthousands for reasons of scaling) }

max out;


{ inflow node 1 = outflow node 1 }
100 + 1.4367 x21 + 0.3721 x31 + 0.0065 x41 + 0.4667 x51 =
     x12 + x13 + x14 + x15 + out;

{ inflow node 2 = outflow node 2 }
0.6987 x12 + 0.2702 x32 + 0.0040 x42 + 0.3266 x52 =
     x21 + x23 + x24 + x25;

{ inflow node 3 = outflow node 3 }
2.6396 x13 + 3.7240 x23 + 0.0163 x43 + 1.2326 x53 =
     x31 + x32 + x34 + x35;

{ inflow node 4 = outflow node 4 }
155.92 x14 + 215.752 x24 + 62.522 x34 + 76.046 x54 =
     x41 + x42 + x43 + x45;

{ inflow node 5 = outflow node 5 }
2.1421 x15 + 3.0045 x25 + 0.8206 x35 + 0.0136 x45 =
     x51 + x52 + x53 + x54;

{ transaction bounds }
x12 + x13 + x14 + x15 <= 120;
x21 + x23 + x24 + x25 <= 20;
x31 + x32 + x34 + x35 <= 80;
x41 + x42 + x43 + x45 <= 6000;
x51 + x52 + x53 + x54 <= 200;


{ warning: be sure that the delimiter symbol ";" from the options-
           menu (F2) is on }


 
