{
  INVEST:
  A portfolio selection problem in which a given budget could
  be invested in corporate loans, personal loans, common stocks,
  capital stocks and municipal bonds. The objective is to maximize
  the annual return, subject to certain investment restrictions.
  The first constraint is the budget restriction and the other
  constraints are supposed to reduce the risk.

}


{ objective function : maximize annual return }
max 0.12 loanc + 0.17 loanp + 0.105 stockcap + 0.115 stockcom + 0.09 bonds

{ budget restriction }
loanc+loanp+stockcap+stockcom+bonds <= 100

{ no more than 50% in loans or in stocks }
loanc + loanp <= 50
stockcap + stockcom <= 50

{ investment in bonds must be at least 30 % of total investment in loans }
bonds >= 0.30 loanc + 0.30 loanp

{ investment in personal loans no more than 40 % of total investment in
  loans }
loanp <= 0.40 loanc + 0.40 loanp
